$(document).ready(function() {
	// 獲取點擊顯示的元素
	var clickShowElements = $('.clickshow');
	var wanCloseButton = $('.showbox .close');

	// 綁定點擊事件處理程序
	clickShowElements.click(function() {
		var id = this.id; // 獲取被點擊元素的ID
		var showbox = $('.showbox'); // 獲取showbox元素
		var showboxContents = showbox.find('div[class^="showbox"]'); // 獲取showbox內的所有顯示內容元素

		// 將showbox內的所有顯示內容元素隱藏
		showboxContents.hide();

		// 根據點擊的ID顯示相應的內容
		if (id === 'cn01') {
			showbox.find('.showbox1').show();
		} else if (id === 'cn02') {
			showbox.find('.showbox2').show();
		} else if (id === 'cn03') {
			showbox.find('.showbox3').show();
		}

		// 切換 clickshow 元素的 rote class
		clickShowElements.not(this).removeClass('rote');
		$(this).toggleClass('rote');

		// 如果 clickshow 元素已經具有 rote class，則從 showbox 中移除 wan class
		if ($(this).hasClass('rote')) {
			showbox.addClass('wan');
		} else {
			showbox.removeClass('wan');
		}
	});

	// 點擊showbox內的關閉按鈕時，隱藏showbox內的所有顯示內容
	wanCloseButton.click(function() {
		var showboxContents = $('.showbox > div[class^="showbox"]');
		showboxContents.hide();

		// 移除所有元素的 rote class
		clickShowElements.removeClass('rote');

		// 移除 wan class
		var showbox = $('.showbox');
		showbox.removeClass('wan');
	});
});